Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-compile-resources /usr/bin/glib-gettextize pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       Serial terminal for the gnome desktop
Name:          moserial
Version:       3.0.21
Release:       alt1_5
License:       GPLv3+
URL:           https://wiki.gnome.org/moserial/
Source0:       http://ftp.gnome.org/pub/GNOME/sources/moserial/3.0/moserial-%{version}.tar.xz
BuildRequires: vala vala-tools valadoc-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires: libGConf-devel libGConf-gir-devel
BuildRequires: librarian
BuildRequires: gnome-doc-utils
BuildRequires: perl(XML/Parser.pm)
BuildRequires: desktop-file-utils
Requires:      yelp
Requires:      lrzsz
Requires:      icon-theme-hicolor
Source44: import.info
%description
Moserial is a clean, friendly gtk-based serial terminal for the gnome
desktop. It is written in Vala for extra goodness.

%prep
%setup -q
find -name *.c -print0 | xargs --null chmod 0644
chmod 0644 AUTHORS ChangeLog* NEWS COPYING README

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --delete-original         \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/moserial.desktop
%find_lang moserial

%files -f moserial.lang
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog ChangeLog.pre-git NEWS README
%{_bindir}/moserial
%{_datadir}/applications/moserial.desktop
%{_datadir}/metainfo/moserial.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/moserial.svg
%{_datadir}/help/*/moserial
%{_mandir}/man1/moserial.1*

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 3.0.21-alt1_5
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.0.21-alt1_4
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3.0.21-alt1_3
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.0.21-alt1_2
- update to new release by fcimport

* Thu Jan 20 2022 Igor Vlasenko <viy@altlinux.org> 3.0.21-alt1_1
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 3.0.20-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.0.16-alt1_2
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.0.16-alt1_1
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt2_10
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1_10
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1_8
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1_7
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1_6
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1_5
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1_4
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1_3
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 3.0.11-alt1_3
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 3.0.11-alt1_1
- update to new release by fcimport

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 3.0.10-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 3.0.10-alt1_2
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 3.0.9-alt1_2
- update to new release by fcimport

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 3.0.9-alt1_1
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 3.0.8-alt1_3
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 3.0.8-alt1_2
- update to new release by fcimport

* Sat Dec 07 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.8-alt1_1
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.7-alt1_3
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.7-alt1_2
- initial fc import

